<?php
ob_start();
$c_host = 'localhost';
$c_login = 'civa';
$c_pass = 'gsd12a';
$c_db = 'civa';
$link = mysql_connect($c_host, $c_login, $c_pass)
  or
die ("Не возможно присоединитса к Базе Данных. Сервер возможно перезагружаетса. Обновите страницу через пару секунд");

mysql_select_db ($c_db)
  or die ("Could not select database");
  mysql_query("SET NAMES 'windows-1251'", $link);
  mysql_set_charset("utf8");

header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: private");
header("Cache-Control: max-stale=0");
header("Content-type: text/html; charset=utf8");

  error_reporting(0);
$time = $_SERVER['REQUEST_TIME'];
$date = date('H:i:s',$time);
$dt=date("Y-m-d H:i:s");
$self=$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'];


function send_mess($l_to,$what,$a,$b)
{
$whom=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE login='$l_to'"));
	if($whom['login'] != "")
	{
$to_whom_id=$whom[id];
$when=date('G:i:s');
$login_send= $a;
$id_send=$b;
  $as=$time+5;
mysql_query("UPDATE users SET msg_send='$as' WHERE id='$id'");
mysql_query("
INSERT INTO `msg` (
`id` ,
`by_whom` ,
`by_whom_id` ,
`to_whom` ,
`to_whom_id` ,
`when` ,
`what` ,
`read`,
`input`,
`output`
)
VALUES (
NULL , '$login_send', '$id_send', '$l_to', '$to_whom_id', '$when', '$what', '0','1','1'
)
");
	}
}


$dm = mysql_fetch_array(mysql_query("SELECT * FROM `market` WHERE `type`='grain' ORDER by RAND() ASC"));
if ($dm['count']<'1500') $buy = intval($dm['count']); else $buy = 1500;
echo 'Караванщик купил у '.intval($dm['user']).' '.$buy.' зерна по цене '.$dm['cost'].' за еденицу. Вы получили '.intval($buy*$dm['cost']);
$text='Караванщик купил у вас '.$buy.' зерна по цене '.$dm['cost'].' за еденицу. Вы получили '.intval($buy*$dm['cost']).' денег';
$dmlogin = mysql_fetch_array(mysql_query("SELECT `login` FROM `users` WHERE `id`='".intval($dm['user'])."'"));
send_mess($dmlogin['login'],$text,'Караванщик','');
$text2 = 'Караванщик купил '.$buy.' зерна по цене '.$dm['cost'].' за еденицу. '.$dmlogin['login'].' получил '.intval($buy*$dm['cost']).' денег';
$buy2 = intval($buy*$dm['cost']);
mysql_query("INSERT INTO `market_log` SET `text`='$text2'");
mysql_query("UPDATE `users` SET `money`=money+'$buy2' WHERE `id`='$dm[user]'");


$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='8' AND `user`='$dm[user]'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='8',`count`='$buy2',`user`='$dm[user]';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$buy2' WHERE `num`='8' AND `user`='$dm[user]'");
						  }


if ($buy < $dm['count'])
	{
mysql_query("UPDATE `market` SET `count`=count-'$buy' WHERE `id`='$dm[id]'");
	} else mysql_query("DELETE FROM `market` WHERE `id`='$dm[id]'");




$dm2 = mysql_fetch_array(mysql_query("SELECT * FROM `market` WHERE `type`='stone' ORDER by RAND() ASC"));
if ($dm2['count']<'1000') $buy = intval($dm2['count']); else $buy = 1000;
echo 'Караванщик купил у '.intval($dm2['user']).' '.$buy.' камня по цене '.$dm2['cost'].' за еденицу. Вы получили '.intval($buy*$dm2['cost']);
$text='Караванщик купил у вас '.$buy.' камня по цене '.$dm2['cost'].' за еденицу. Вы получили '.intval($buy*$dm2['cost']).' денег';
$dm2login = mysql_fetch_array(mysql_query("SELECT `login` FROM `users` WHERE `id`='".intval($dm2['user'])."'"));
send_mess($dm2login['login'],$text,'Караванщик','');
$text2 = 'Караванщик купил '.$buy.' камня по цене '.$dm2['cost'].' за еденицу. '.$dm2login['login'].' получил '.intval($buy*$dm2['cost']).' денег';
$buy2 = intval($buy*$dm2['cost']);
mysql_query("INSERT INTO `market_log` SET `text`='$text2'");
mysql_query("UPDATE `users` SET `money`=money+'$buy2' WHERE `id`='$dm2[user]'");


$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='8' AND `user`='$dm2[user]'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='8',`count`='$buy2',`user`='$dm2[user]';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$buy2' WHERE `num`='8' AND `user`='$dm2[user]'");
						  }


if ($buy < $dm2['count'])
	{
mysql_query("UPDATE `market` SET `count`=count-'$buy' WHERE `id`='$dm2[id]'");
	} else mysql_query("DELETE FROM `market` WHERE `id`='$dm2[id]'");



$dm3 = mysql_fetch_array(mysql_query("SELECT * FROM `market` WHERE `type`='iron' ORDER by RAND() ASC"));
if ($dm3['count']<'1000') $buy = intval($dm3['count']); else $buy = 1000;
echo 'Караванщик купил у '.intval($dm3['user']).' '.$buy.' железа по цене '.$dm3['cost'].' за еденицу. Вы получили '.intval($buy*$dm3['cost']);
$text='Караванщик купил у вас '.$buy.' железа по цене '.$dm3['cost'].' за еденицу. Вы получили '.intval($buy*$dm3['cost']).' денег';
$dm3login = mysql_fetch_array(mysql_query("SELECT `login` FROM `users` WHERE `id`='".intval($dm3['user'])."'"));
send_mess($dm3login['login'],$text,'Караванщик','');
$text2 = 'Караванщик купил '.$buy.' железа по цене '.$dm3['cost'].' за еденицу. '.$dm3login['login'].' получил '.intval($buy*$dm3['cost']).' денег';
$buy2 = intval($buy*$dm3['cost']);
mysql_query("INSERT INTO `market_log` SET `text`='$text2'");
mysql_query("UPDATE `users` SET `money`=money+'$buy2' WHERE `id`='$dm3[user]'");


$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='8' AND `user`='$dm3[user]'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='8',`count`='$buy2',`user`='$dm3[user]';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$buy2' WHERE `num`='8' AND `user`='$dm3[user]'");
						  }


if ($buy < $dm3['count'])
	{
mysql_query("UPDATE `market` SET `count`=count-'$buy' WHERE `id`='$dm3[id]'");
	} else mysql_query("DELETE FROM `market` WHERE `id`='$dm3[id]'");


$dm4 = mysql_fetch_array(mysql_query("SELECT * FROM `market` WHERE `type`='lumber' ORDER by RAND() ASC"));
if ($dm4['count']<'1500') $buy = intval($dm4['count']); else $buy = 1500;
echo 'Караванщик купил у '.intval($dm4['user']).' '.$buy.' дерева по цене '.$dm4['cost'].' за еденицу. Вы получили '.intval($buy*$dm4['cost']);
$text='Караванщик купил у вас '.$buy.' дерева по цене '.$dm4['cost'].' за еденицу. Вы получили '.intval($buy*$dm4['cost']).' денег';
$dm4login = mysql_fetch_array(mysql_query("SELECT `login` FROM `users` WHERE `id`='".intval($dm4['user'])."'"));
send_mess($dm4login['login'],$text,'Караванщик','');
$text2 = 'Караванщик купил '.$buy.' дерева по цене '.$dm4['cost'].' за еденицу. '.$dm4login['login'].' получил '.intval($buy*$dm4['cost']).' денег';
$buy2 = intval($buy*$dm4['cost']);
mysql_query("INSERT INTO `market_log` SET `text`='$text2'");
mysql_query("UPDATE `users` SET `money`=money+'$buy2' WHERE `id`='$dm4[user]'");


$isset_ach = mysql_result(mysql_query("SELECT count(`id`) FROM `achieve` WHERE `num`='8' AND `user`='$dm4[user]'"),0);
				if ($isset_ach == '0')
					{
					mysql_query("INSERT INTO `achieve` SET `num`='8',`count`='$buy2',`user`='$dm4[user]';");
					} else
						  {
						  mysql_query("UPDATE `achieve` SET `count`=count+'$buy2' WHERE `num`='8' AND `user`='$dm4[user]'");
						  }


if ($buy < $dm4['count'])
	{
mysql_query("UPDATE `market` SET `count`=count-'$buy' WHERE `id`='$dm4[id]'");
	} else mysql_query("DELETE FROM `market` WHERE `id`='$dm4[id]'");








?>